Panda3D

Loading...
Searching...
No Matches
Macros | Functions | Variables
showBase.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "showBase.h"`
`#include "throw_event.h"`
`#include "graphicsWindow.h"`
`#include "renderBuffer.h"`
`#include "camera.h"`
`#include "graphicsPipeSelection.h"`

Go to the source code of this file.

## Macros
#define | MAX_FULLSCREEN_TESTS 10

## Functions
void | add_fullscreen_testsize (int xsize, int ysize)
void | allow_accessibility_shortcut_keys (bool allowKeys)
| ConfigureDef (config_showbase)
| ConfigureFn (config_showbase)
ConfigVariableSearchPath & | get_particle_path ()
void | init_app_for_gui ()
bool | query_fullscreen_testresult (int xsize, int ysize)
void | runtest_fullscreen_sizes (GraphicsWindow *win)
void | store_accessibility_shortcut_keys ()
void | throw_new_frame ()

## Variables
ConfigVariableSearchPath | particle_path ("particle-path", PRC_DESC("The directories to search for particle files to be loaded."))

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  shochet

Date
  2000-02-02

Definition in file showBase.cxx.

## Macro Definition Documentation

## ◆ MAX_FULLSCREEN_TESTS

#define MAX_FULLSCREEN_TESTS 10

Definition at line 97 of file showBase.cxx.

## Function Documentation

## ◆ add_fullscreen_testsize()

void add_fullscreen_testsize | ( | int | xsize,
|  | int | ysize )

Definition at line 101 of file showBase.cxx.

## ◆ allow_accessibility_shortcut_keys()

void allow_accessibility_shortcut_keys | ( | bool | allowKeys | ) |

Definition at line 142 of file showBase.cxx.

## ◆ ConfigureFn()

ConfigureFn | ( | config_showbase |  | ) |

Definition at line 45 of file showBase.cxx.

## ◆ get_particle_path()

ConfigVariableSearchPath & get_particle_path | ( |  | ) |

Definition at line 53 of file showBase.cxx.

## ◆ init_app_for_gui()

void init_app_for_gui | ( |  | ) |

Definition at line 67 of file showBase.cxx.

## ◆ query_fullscreen_testresult()

bool query_fullscreen_testresult | ( | int | xsize,
|  | int | ysize )

Definition at line 121 of file showBase.cxx.

## ◆ runtest_fullscreen_sizes()

void runtest_fullscreen_sizes | ( | GraphicsWindow * | win | ) |

Definition at line 116 of file showBase.cxx.

## ◆ store_accessibility_shortcut_keys()

void store_accessibility_shortcut_keys | ( |  | ) |

Definition at line 133 of file showBase.cxx.

## ◆ throw_new_frame()

void throw_new_frame | ( |  | ) |

Definition at line 60 of file showBase.cxx.